none
VSTO for Office 2007 supports .net 2010 RRS feed

  • Question

  • i already had a add-ins application which was developed in .net 2008. My client has vsto 3 only. now the problem is, i need to include additional feture, which required a 3rd party assembly reference. The 3rd party assembly run under .net 2010 framework. how can i implement the new feature, will .net 2010 supports vsto 3.0? or can i create vsto 3.0 under .net 2010?
    Monday, November 25, 2013 10:36 AM

Answers

  • Hi,

    The highest version of framework in Visual Studio 2010 is Framework 4.0. It is also compatible with the older versions.

    About the versions of VSTO runtime, Here is a link for your reference:How many versions of Visual Studio Tools for Office (VSTO) are there, and what are the differences between them?

    To add a 3rd party assembly reference which need to run in .Net Framework 4.0 into your add-ins to implement a new feature, I suggest you to use Visual Studio 2010 to develop it.

    In Visual Studio 2010, there are lots of Office 2007 Add-ins template as followed. You could use it to develop add-ins and add the 3rd party assembly reference.

    By the way, when deploying the add-ins, Don’t forget to install the Visual Studio Tools for the Office Runtime to run VSTO solutions for the Office 2007.

    More detail information please refer this article:
    VSTO 2010 Runtime components explained (Aaron Cathcart)


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.

    Wednesday, November 27, 2013 7:04 AM
    Moderator